Debian Bug report logs - #625261
buildutils are shipped with unusable paths for kfreebsd

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: Arno Töll <debian@toell.net>

Date: Mon, 2 May 2011 21:54:14 UTC

Severity: normal

Found in version freebsd-buildutils/8.1-1

Fixed in version freebsd-buildutils/8.2-2

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian@toell.net, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#625261; Package freebsd-buildutils. (Mon, 02 May 2011 21:54:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
New Bug report received and forwarded. Copy sent to debian@toell.net, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 02 May 2011 21:54:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: buildutils are shipped with unusable paths for kfreebsd
Date: Mon, 02 May 2011 19:16:29 -0400
Package: freebsd-buildutils
Version: 8.1-1
Severity: normal


The FreeBSD -buildutils are shipped with upstream defaults for common BSD commands.
As we use a GNU user land paths are slighty different, thus using a (BSD style)
Makefile  including paths from /usr/share/Mk/bsd.commands.mk will fail since some 
helper utilities are not found where expected, e.g.:

UNAME?=         /usr/bin/uname

should be /bin/uname,

GMAKE?=         gmake

maybe "make" (as we use GNU make anyway) and so on.

Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages freebsd-buildutils depends on:
ii  bsdmainutils                8.0.13       collection of more utilities from 
ii  libbsd0                     0.2.0-1      utility functions from BSD systems
ii  libc0.1                     2.11.2-10    Embedded GNU C Library: Shared lib
ii  make                        3.81-8       An utility for Directing compilati
ii  original-awk                2010-05-23-1 The original awk described in "The
ii  patchutils                  0.3.1-2      Utilities to work with patches
ii  unzip                       6.0-4        De-archiver for .zip files

freebsd-buildutils recommends no packages.

freebsd-buildutils suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#625261; Package freebsd-buildutils. (Sat, 25 Jun 2011 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 25 Jun 2011 18:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 625261@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 625261@bugs.debian.org, Arno Töll <debian@toell.net>
Subject: Re: buildutils are shipped with unusable paths for kfreebsd
Date: Sat, 25 Jun 2011 20:39:55 +0200
Could you provide a full list? (or even better, a patch)

Btw, "gmake" is not a problem because of:

lrwxr-xr-x 1 root root 14 21 jun 22:59 /usr/lib/freebsd/gmake -> ../../bin/make

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 26 Jun 2011 16:06:06 GMT) Full text and rfc822 format available.

Notification sent to Arno Töll <debian@toell.net>:
Bug acknowledged by developer. (Sun, 26 Jun 2011 16:06:06 GMT) Full text and rfc822 format available.

Message #15 received at 625261-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 625261-close@bugs.debian.org
Subject: Bug#625261: fixed in freebsd-buildutils 8.2-2
Date: Sun, 26 Jun 2011 16:03:03 +0000
Source: freebsd-buildutils
Source-Version: 8.2-2

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_8.2-2.debian.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-2.debian.tar.gz
freebsd-buildutils_8.2-2.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-2.dsc
freebsd-buildutils_8.2-2_kfreebsd-amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-2_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625261@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 Jun 2011 17:47:37 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source kfreebsd-amd64
Version: 8.2-2
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 594183 625261
Changes: 
 freebsd-buildutils (8.2-2) unstable; urgency=low
 .
   * 18_fix_sysdir.diff: Fix SYSDIR path to make kernel modules buildable.
     (Closes: #594183).
   * Switch to use the libbsd-overlay:
     - Bump libbsd-dev Build-Depends to (>= 0.3.0).
     - Add pkg-config to Build-Depends.
     - Remove some now obsolete porting code.
   * Disable FreeBSD/pc98 pre-7.0 compatibility on non-FreeBSD (fixes FTBFS on
     hurd-i386).
   * 19_fix_cmd_pathnames.diff: Fix pathnames for a number of commands.
     (Closes: #625261)
   * Add myself to Uploaders.
Checksums-Sha1: 
 e3229466ed37121ff0fcd9950b7ae5c654442736 1374 freebsd-buildutils_8.2-2.dsc
 0476ea4fd3c543834cc2ef17af29d1333d61d520 28948 freebsd-buildutils_8.2-2.debian.tar.gz
 1cb9a8fcf893bd179f790d4e61055eefd0f67273 498418 freebsd-buildutils_8.2-2_kfreebsd-amd64.deb
Checksums-Sha256: 
 4c7c032761b75004b3eb169ffde8794badc722886bb4407b18c35c3a47bd673e 1374 freebsd-buildutils_8.2-2.dsc
 a9638f89600267149bc4fcb86ee992fd6a6c949fe717d97779abd500d47ee7ca 28948 freebsd-buildutils_8.2-2.debian.tar.gz
 15ad04560023702713e2657327f17a14487055e0cca8f98a7f515e2bd4079321 498418 freebsd-buildutils_8.2-2_kfreebsd-amd64.deb
Files: 
 38f287bdefdc0781c707e56712dc36f8 1374 devel extra freebsd-buildutils_8.2-2.dsc
 3c0a18644fa6c19e99acc38d8dcc8679 28948 devel extra freebsd-buildutils_8.2-2.debian.tar.gz
 6cbb1b7291740297a647a8d911c5843c 498418 devel extra freebsd-buildutils_8.2-2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4HVRgACgkQC19io6rUCv9kigCcDHZY3weQLvP/gkH+3vO537Sm
XNwAmwT/mHqYZjuQ2ECkC1r0sCQn+Dx/
=9466
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jul 2011 07:38:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:24:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.